Skip to main content
PATCH
/
api
/
v1
/
task
/
workspaces
/
{workspaceId}
/
tasks
/
bulk-update
curl --request PATCH \ --url https://api.xenia.team/api/v1/task/workspaces/{workspaceId}/tasks/bulk-update \ --header 'Content-Type: application/json' \ --header 'x-client-key: <api-key>' \ --header 'x-client-secret: <api-key>' \ --data ' { "taskIds": [ "uuid1", "uuid2" ], "operationType": "assignees", "values": [ "assignee-uuid1", "assignee-uuid2" ] } '
{
  "success": true,
  "updatedTasks": [
    {}
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.xenia.team/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-client-key
string
header
required
x-client-secret
string
header
required

Path Parameters

workspaceId
string<uuid>
required

UUID of the workspace.

Body

application/json
taskIds
string<uuid>[]
required

Array of task UUIDs to update

operationType
enum<string>
required

Type of bulk operation to perform

Available options:
assignees,
priority,
status,
archive,
delete
values
string[] | null

Values relevant to the operation

Response

Bulk operation successful

success
boolean
updatedTasks
object[]